diff --git a/kbe/src/lib/python/Objects/call.c b/kbe/src/lib/python/Objects/call.c
index b53a98c76b..c35dcbf3bf 100644
--- a/kbe/src/lib/python/Objects/call.c
+++ b/kbe/src/lib/python/Objects/call.c
@@ -46,10 +46,6 @@ _Py_CheckFunctionResult(PyObject *callable, PyObject *result, const char *where)
                 PyErr_Format(PyExc_SystemError,
                              "%s returned NULL without setting an error",
                              where);
-#ifdef Py_DEBUG
-            /* Ensure that the bug is caught in debug mode */
-            Py_FatalError("a function returned NULL without setting an error");
-#endif
             return NULL;
         }
     }
diff --git a/kbe/src/lib/python/PC/pyconfig.h b/kbe/src/lib/python/PC/pyconfig.h
index 2a47f83850..d2a3f5dd39 100644
--- a/kbe/src/lib/python/PC/pyconfig.h
+++ b/kbe/src/lib/python/PC/pyconfig.h
@@ -328,7 +328,7 @@ Py_NO_ENABLE_SHARED to find out.  Also support MS_NO_COREDLL for b/w compat */
 #endif
 
 #ifdef _DEBUG
-//#       define Py_DEBUG
+#       define Py_DEBUG
 #endif
 
 
diff --git a/kbe/src/lib/python/Python/ceval.c b/kbe/src/lib/python/Python/ceval.c
index c394b9b482..c389674704 100644
--- a/kbe/src/lib/python/Python/ceval.c
+++ b/kbe/src/lib/python/Python/ceval.c
@@ -3340,13 +3340,9 @@ _PyEval_EvalFrameDefault(PyFrameObject *f, int throwflag)
         why = WHY_EXCEPTION;
 
         /* Double-check exception status. */
-#ifdef NDEBUG
         if (!PyErr_Occurred())
             PyErr_SetString(PyExc_SystemError,
                             "error return without exception set");
-#else
-        assert(PyErr_Occurred());
-#endif
 
         /* Log traceback info. */
         PyTraceBack_Here(f);
